This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 291071 - udev is too slow
udev is too slow
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
10
All Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-14 11:37 EDT by Need Real Name
Modified: 2012-08-08 10:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:58:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-09-14 11:37:42 EDT
udev takes too long (>5 seconds) at boot.
Comment 1 Harald Hoyer 2007-09-14 12:02:38 EDT
please edit /etc/udev/udev.conf:
udev_log="info"

and see, if s.th. takes really long.

You know, udev loads all kernel modules/firmware... so the more modules udev has
to load, the longer the process lasts.
Comment 2 Need Real Name 2007-09-14 12:06:44 EDT
It's not one thing, it's everything.

This is under VMware by the way. It makes the boot time compared to Ubuntu
Dapper significantly longer.
Comment 3 Harald Hoyer 2007-09-14 12:20:58 EDT
what is the output of:
# ls /etc/udev/rules.d

Try to move away some rules files _besides_:
05-udev-early.rules
50-udev-default.rules
80-drivers.rules

Does any rule file make a significant change in boot time for you?
Comment 4 Need Real Name 2007-09-16 10:34:58 EDT
Is there a way to get udev to print the time it takes to run each rule?
Comment 5 Need Real Name 2007-09-16 10:35:18 EDT
Sorry, rule file, not rule.
Comment 6 Harald Hoyer 2007-09-17 03:30:39 EDT
Well, I actually did this per rule and summed up the time for every rule file:

https://www.redhat.com/archives/fedora-devel-list/2007-September/msg00771.html
Comment 7 Erik Streb del Toro 2008-02-15 18:22:15 EST
Hello.

I want to affirm, that Udev takes much to long on Fedora systems. I have a IBM
Thinkpad X40 Notebook an it takes about 10 seconds. On my Athlon X2 BE-2400 (2,3
GHz) it takes about 7 seconds. On my old Pentium II 450 MHz it takes more than
10 seconds.

With other systems (i.e. Ubuntu 7.10) one can’t even see the udev status,
because it is so fast.
Comment 8 Harald Hoyer 2008-02-18 06:30:34 EST
Compare the modules loaded in Ubuntu and Fedora. The more modules, the longer it
takes. Also check if firmware loading is required (/var/log/messages, dmesg)
Comment 9 Bug Zapper 2008-11-26 02:48:13 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-11-18 04:15:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 00:58:30 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.